Eslint: How to disable "unexpected console statement" in Node.js?

I'm using eslint with Sublime Text 3 and I am writing gulpfile.js. /*eslint-env node*/ var gulp = require('gulp'); gulp.task('default', function(){ console.log('default task'); }); But eslint...

Babel - Error: Cannot find module 'babel-runtime/helpers/typeof'

Transpiling via gulp-babel for the server and browserify with babelify for the client - using async and await in my code. These features seem to transform just fine, but... Error: Cannot find...

Parsing Error The Keyword import is Reserved (SublimeLinter-contrib-eslint)

I have a problem with eslint, it gives me [Parsing Error The keyword import is reserve] this is only occur in sublime, in atom editor work well. I have eslint .eslintrc.js module.exports = { ...

Gulp 4 Migration Errors (Did you forget to signal async completion?)

I have a gulp 3 file which I am trying to upgrade to gulp 4. When I do so some of the tasks work others dont. The three errors that i am getting are as...

How to fix files with gulp-eslint?

I'm using gulp with eslint. Without gulp, I just run eslint ./src --fix. I can't figure out how to make this happen with gulp. I tried below, setting fix to be true, but it doesn't fix any...

ESLintError in plugin 'gulp-eslint' - Parsing error: Unexpected token

I'm working on a ReactJs project, I am writing code with ES7 in order to write more elegant code inside my React component, specifically static propTypes. I use Gulp with Babel, ESlint, but I...

Expected linebreaks to be 'LF' but found 'CRLF' linebreak-style

When using eslint in the gulp project i have encountered a problem with error like this Expected linebreaks to be 'LF' but found 'CRLF' linebreak-style and I am using Windows environment for the...

How to fix browser-sync & socket.io conflict?

I seem to have a conflict of the socket used in browser-sync and the one I want to use with socket.io. I use browser-sync via a gulp task (that comes with Aurelia CLI default project). What...

npm outdated global packages: How to actually update a package?

❯ npm outdated -g Package Current Wanted Latest Location eslint 3.11.1 3.11.1 3.15.0 eslint-plugin-react 3.0.0 6.9.0 6.9.0 flow-bin 0.35.0 ...

How do I view linting errors when i run 'gulp'?

I'm trying to install the Airbnb JavaScript style guide into my environment. I'm using gulp to show linting errors as I save my .js files but it does not show it. If I do 'eslint main.js' it...

error while running npm install

When running npm install I get the following error: npm ERR! code 1 npm ERR! Command failed: /usr/bin/git checkout ~3.9.0 npm ERR! error: pathspec '~3.9.0' did not match any file(s) known to...

React native upgrade from babel 6 to babel 7

What would be the steps to upgrade from babel 6 to babel 7 an existing react-native project? These are the old dependencies: "dependencies": { ......... "babel-plugin-transform-runtime":...

How to update globally installed npm packages

Command: npm outdated -g Output: Package Current Wanted Latest Location @angular/cli 1.3.1 1.7.4 7.0.5 create-react-app 1.5.2 1.5.2 2.1.1 eslint 5.6.0...

How to resolve module not found on Heroku?

I am using module-alias within my nodejs application. Locally everything works fine, the file path and modules are being found. However, when deploying on Heroku none of my aliases are being...

npm run dev works but watch compiles and errors

I have a Laravel 5.6 project that won't run npm run watch. It will compile the files but throws and error when it tries to watch the files. npm run dev works just fine. npm is on version 6.7.0....

TSConfig Unknown compiler option 'lib'

I am taking over an old angular 1 project with typescript 1.8.10. However I can't compile and it keeps throwing me this : Unknown compiler option 'lib' if i comment out the "lib" line, then I...

TypeError: schema[parameter].validateAsync when running API call?

When I call any route in my express server , I am getting this error TypeError: schema[parameter].validateAsync is not a function at validate...

Deploying React with Tailwind & AOS

I used the React Tailwind template to build a site. It runs in my browser perfectly. npm start results in no issues. But when I try to deploy to Netlify or Heroku, I get an error. I have followed...

How to automatically remove console.logs() in development?

The Problem Trying to lint an old React application that has 30+ console.logs() throughout the code base. I setup a linter and code formatter, ESLint and Prettier respectively. This setup works...

React-intl - How to use a default Locale

This could be a very easy question, however I've not been able to find the answer for it anywhere. How do I use a default locale with react-intl? Specifying a default message every time gets...

gulp-eslint Environment key "es2021" is unknown

I have a project with the following dependencies; "dependencies": { "express": "^4.17.1" }, "devDependencies": { "browser-sync": "^2.26.13", "del": "^6.0.0", "eslint":...

React Native Release( IPA and APK ) crash on start

Iam getting the below error when I open the release build .It happens both in IOS and Android. E/AndroidRuntime: FATAL EXCEPTION: mqt_native_modules Process: com.package.name, PID: 28695 ...

iam getting "An unhandled exception occurred: Cannot find module './internal/Observable'" this error not sure what dependence i have to install

iam getting "An unhandled exception occurred: Cannot find module './internal/Observable'" this error not sure what dependence i have to install An unhandled exception occurred: Cannot find module...

getting rid of relative path react (removing "../..")

I have downloaded a react project with the following package.json : { "private": true, "main": "src/index.js", "dependencies": { "@material-ui/core": "4.10.0", "@material-ui/icons":...

How to handle properly the Gulp's Task function in NodeJS API?

Currenly, I know only one working method of runnig the Gulp task without gulpfile and CLI: import Gulp from "gulp"; const TASK_NAME: string = "EXAMPLE_TASK"; Gulp.task(TASK_NAME,...

Setup Jest Debug with a monorepo Create-React-App with TypeScript and VSCode

I've been hitting my head for about 7 hours now. But this is paramount as I can't afford not to develop tests within the app any further (Currently stuck debugging an Apollo React test) I'm...

Environment key "es2021" is unknown

Sorry for repeating the question, but I am a rookie and didn't understand how to solve this problem. Please, if it is not difficult, describe in more detail how to solve this problem. I'm creating...

How to disable prettier errors in reactjs project and also no-unsued-vars error

I keep getting these errors when i am trying to run a reactjs project prettier/prettier Line 23:39: Replace `'react-toastify'` with `"react-toastify"` ...

Angular 6 to 12 Migration: Getting Multiple Warning: Css Minimizer Plugin: > Unexpected "$"

After migrating my angular 6 project to 12. I am getting multiple warning in terminal if in angular.json i set optimisation: false configuration then all issue get resolved but i don't want to...

error Unexpected token = after upgrading from RN 0.64.2 to 0.65.1

I just upgraded from 64.1 to 65.1 by following the upgrade helper. But I started getting this error and have not been able to fix it. I have upgraded node/npm to 14.17 and done everything else I...